Page MenuHomePhabricator

ProofreadPage parser tests are broken due to duplicate articles definitions
Closed, ResolvedPublic

Description

Tests for the <pages> and <pagelist> tags are both creating the same articles (mostly because article names should match conventions) and so fails because the 'ignoreduplicate' options have been removed (see T41473)

Details

Related Gerrit Patches:
mediawiki/extensions/ProofreadPage : masterFixes ProofreadPage parser tests
mediawiki/extensions/ProofreadPage : masterRemoves duplicates articles creation in parser tests
mediawiki/extensions/ProofreadPage : masterInitializes the zoom widget after page loading
mediawiki/extensions/ProofreadPage : wmf/1.28.0-wmf.18Initializes the zoom widget after page loading

Event Timeline

Tpt created this task.Sep 15 2016, 6:33 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 15 2016, 6:33 AM

Change 310738 had a related patch set uploaded (by Tpt):
Removes duplicates articles creation in parser tests

https://gerrit.wikimedia.org/r/310738

Tpt added a comment.Sep 16 2016, 7:30 AM

DjVu support in parser tests seems broken too...

Tpt triaged this task as High priority.Sep 16 2016, 7:30 AM
Tpt added subscribers: tstarling, Legoktm.

Change 311769 had a related patch set uploaded (by Tpt):
Initializes the zoom widget after page loading

https://gerrit.wikimedia.org/r/311769

Change 311777 had a related patch set uploaded (by Legoktm):
Initializes the zoom widget after page loading

https://gerrit.wikimedia.org/r/311777

Change 311777 merged by jenkins-bot:
Initializes the zoom widget after page loading

https://gerrit.wikimedia.org/r/311777

Change 311769 merged by Legoktm:
Initializes the zoom widget after page loading

https://gerrit.wikimedia.org/r/311769

Change 310738 merged by jenkins-bot:
Removes duplicates articles creation in parser tests

https://gerrit.wikimedia.org/r/310738

Change 329059 had a related patch set uploaded (by Tpt):
Fixes ProofreadPage parser tests

https://gerrit.wikimedia.org/r/329059

Change 329059 merged by jenkins-bot:
Fixes ProofreadPage parser tests

https://gerrit.wikimedia.org/r/329059

Tpt closed this task as Resolved.Mar 27 2017, 4:14 PM
Tpt claimed this task.